Skip to main content
POST
Create milestone

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Milestone name. Must not be greater than 255 characters.

Example:

"Phase 1 Signoff"

project_id
integer
required

Project ID. The id of an existing record in the projects_projects table.

Example:

1

deadline
string | null

Milestone deadline date-time. Must be a valid date.

Example:

"2026-03-20 12:00:00"

is_completed
boolean | null

Completion flag.

Example:

false

Response

Created